SDL_GetHintBoolean(3)

NAME
SDL_GetHintBoolean - Get the boolean value of a hint variable.

SYNOPSIS
#include <SDL3/SDL_hints.h>

bool SDL_GetHintBoolean(const char *name, bool default_value);

FUNCTION PARAMETERS

name
    the name of the hint to get the boolean value from.

default_value
    the value to return if the hint does not exist.

RETURN VALUE
Returns the boolean value of a hint or the provided default value if the hint does not exist.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetHint(3), SDL_SetHint(3)